doctype html(lang='en')
head
    meta(charset='utf-8')
    meta(http-equiv='X-UA-Compatible', content='IE=edge')
    meta(name='viewport', content='width=device-width, initial-scale=1')
    title Nimpa CRUD Operations
    link(rel='stylesheet', href='https://fonts.googleapis.com/css?family=Roboto|Varela+Round')
    link(rel='stylesheet', href='https://fonts.googleapis.com/icon?family=Material+Icons')
    link(rel='stylesheet', href='https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css')
    link(rel='stylesheet', href='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css')
    script(src='https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js')
    script(src='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js')
    link(rel='stylesheet', type='text/css', href='stylesheets/index.css')
    script(src='javascripts/prodscripts.js')
  body
    .container
      nav.navbar.navbar-default(role='navigation')
        .side-menu-container
          ul.nav.navbar-nav
            li
              a(href='/index')
                span.glyphicon.glyphicon-list-alt
                |  Categories
            | &#x9;&#x9;&#x9;&#x9;&#x9;
            li
              a(href='#addCatModal', data-toggle='modal')
                span.glyphicon.glyphicon-plus
                |  Add New Category
            | &#x9;&#x9;&#x9;&#x9;&#x9;
            li.active
              a(href='#')
                span.glyphicon.glyphicon-shopping-cart
                |  Products
            | &#x9;&#x9;&#x9;&#x9;&#x9;
            li
              a(href='#addProdModal', data-toggle='modal')
                span.glyphicon.glyphicon-plus
                |  Add New Product
      |         
      .table-wrapper
        .table-title
          .row
            .col-sm-6
              h2
                | Manage 
                b Employees
        |             
        table.table.table-striped.table-hover
          thead
            tr
              th ID
              |                         
              th Name
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              th Category ID
              |                         
              th Category Name
              |                         
              th Description
              |                         
              th Actions
          |                 
          tbody#tableData
        | &#x9;&#x9;&#x9;
        #listingTable
        | &#x9;&#x9;
        .clearfix
          .hint-text
            | Showing page no. 
            span#page 
            |  --10 entries only
          |                 
          ul.pagination
            li.page-item
              a.page-link#btn_prev(href='javascript:prevPage()') Previous
            |                     
            li.page-item
              a.page-link#btn_next.page-link(href='javascript:nextPage()') Next
    // Edit Modal Product HTML
    #addProdModal.modal.fade
      .modal-dialog
        .modal-content
          form(action='/p/addProduct', method='POST')
            .modal-header
              h4.modal-title Add Product
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              button.close(type='button', data-dismiss='modal', aria-hidden='true') &times;
            | &#x9;&#x9;&#x9;&#x9;&#x9;
            .modal-body
              .form-group
                label Product Name
                | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
                input.form-control(type='text', name='pro_name', required='')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              .form-group
                label Product Category
                | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
                select#cat_list.form-control(name='cat_id')
              .form-group
                label Product Description
                | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
                textarea.form-control(name='pro_desc', required='')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
            .modal-footer
              input.btn.btn-default(type='button', data-dismiss='modal', value='Cancel')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              input.btn.btn-success(type='submit', value='Add')
    // Edit Modal Category HTML
    #addCatModal.modal.fade
      .modal-dialog
        .modal-content
          form(action='/p/addCat', method='POST')
            .modal-header
              h4.modal-title Add Category
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              button.close(type='button', data-dismiss='modal', aria-hidden='true') &times;
            | &#x9;&#x9;&#x9;&#x9;&#x9;
            .modal-body
              .form-group
                label Category Name
                | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
                input.form-control(type='text', name='cat_name', required='')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              .form-group
                label Category Description
                | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
                textarea.form-control(name='cat_desc', required='')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
            .modal-footer
              input.btn.btn-default(type='button', data-dismiss='modal', value='Cancel')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              input.btn.btn-success(type='submit', value='Add')
    // Edit Modal HTML
    #editProdModal.modal.fade
      .modal-dialog
        .modal-content
          form(action='/p/editProd', method='POST')
            .modal-header
              h4.modal-title Edit Product
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              button.close(type='button', data-dismiss='modal', aria-hidden='true') &times;
            | &#x9;&#x9;&#x9;&#x9;&#x9;
            .modal-body
              .form-group
                input.form-control#pro_id(type='hidden', name='pro_id', required='')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              .form-group
                label Product Name
                | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
                input.form-control#prod_name(type='text', name='pro_name', required='')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              .form-group
                label Product Category
                | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
                select#cat_list2.form-control(name='cat_id')
              .form-group
                label Product Description
                | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
                textarea.form-control#prod_desc(name='pro_desc', required='')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
            .modal-footer
              input.btn.btn-default(type='button', data-dismiss='modal', value='Cancel')
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
              input.btn.btn-info(type='submit', value='Save')
    // Delete Modal HTML
    #deleteProdModal.modal.fade
      .modal-dialog
        .modal-content
          form
            .modal-header
              h4.modal-title Product Deleted
              | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;
            .modal-body
              p.text-warning
                small This action cannot be undone.
            | &#x9;&#x9;&#x9;&#x9;&#x9;
            .modal-footer
              input.btn.btn-danger(type='submit', value='Okay')
